summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-vim/pydiction/Manifest1
-rw-r--r--app-vim/pydiction/metadata.xml12
-rw-r--r--app-vim/pydiction/pydiction-1.2.3.ebuild22
3 files changed, 35 insertions, 0 deletions
diff --git a/app-vim/pydiction/Manifest b/app-vim/pydiction/Manifest
new file mode 100644
index 00000000000..6d5a259075f
--- /dev/null
+++ b/app-vim/pydiction/Manifest
@@ -0,0 +1 @@
+DIST pydiction-1.2.3.zip 476599 SHA256 0998a06be1741edfb1261944ede6fbad77c3742d8924b57ec3ec80908a22b522 SHA512 20e553cb8fdc541e619936f80d8e808484e265d96d1223a7558770e453ad186d5d0057a8b25cd5707bf80b56e40c885097e4195fd66fea2afd8b6d83f84d9441 WHIRLPOOL b1fab3728637dd2ec780f6174790315b478b37eda8000a22891e75cd8a7e04b8f4255cee8ae9e249c18cf03a7beac7f8e650eed40fe345a68d59e2294435b1e2
diff --git a/app-vim/pydiction/metadata.xml b/app-vim/pydiction/metadata.xml
new file mode 100644
index 00000000000..8fafbfec194
--- /dev/null
+++ b/app-vim/pydiction/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>monsieurp@gentoo.org</email>
+ <name>Patrice Clement</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>vim@gentoo.org</email>
+ <name>Gentoo Vim Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-vim/pydiction/pydiction-1.2.3.ebuild b/app-vim/pydiction/pydiction-1.2.3.ebuild
new file mode 100644
index 00000000000..ef3e970c42a
--- /dev/null
+++ b/app-vim/pydiction/pydiction-1.2.3.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Tab-complete your Python code"
+HOMEPAGE="https://rkulla.github.io/pydiction/"
+SRC_URI="https://dev.gentoo.org/~monsieurp/packages/${P}.zip"
+LICENSE="vim"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86"
+S="${WORKDIR}/${PN}"
+
+src_install() {
+ insinto "/usr/share/${PN}"
+ local pyfiles=( complete-dict pydiction.py )
+ doins "${pyfiles[@]}"
+ rm -v "${pyfiles[@]}" || die
+ vim-plugin_src_install
+}